---
# ============================================================================
# Auth Service - ClusterIP (internal)
# ============================================================================
apiVersion: v1
kind: Service
metadata:
  name: auth-service
  namespace: undateable
  labels:
    app.kubernetes.io/name: auth-service
    app.kubernetes.io/component: backend
spec:
  type: ClusterIP
  selector:
    app: auth-service
  ports:
    - name: http
      port: 8001
      targetPort: 8001
      protocol: TCP
---
# ============================================================================
# Profiles Service - ClusterIP (internal)
# ============================================================================
apiVersion: v1
kind: Service
metadata:
  name: profiles-service
  namespace: undateable
  labels:
    app.kubernetes.io/name: profiles-service
    app.kubernetes.io/component: backend
spec:
  type: ClusterIP
  selector:
    app: profiles-service
  ports:
    - name: http
      port: 8002
      targetPort: 8002
      protocol: TCP
---
# ============================================================================
# Messaging Service - ClusterIP (internal)
# ============================================================================
apiVersion: v1
kind: Service
metadata:
  name: messaging-service
  namespace: undateable
  labels:
    app.kubernetes.io/name: messaging-service
    app.kubernetes.io/component: backend
spec:
  type: ClusterIP
  selector:
    app: messaging-service
  ports:
    - name: http
      port: 8003
      targetPort: 8003
      protocol: TCP
---
# ============================================================================
# Burn Service - ClusterIP (internal)
# ============================================================================
apiVersion: v1
kind: Service
metadata:
  name: burn-service
  namespace: undateable
  labels:
    app.kubernetes.io/name: burn-service
    app.kubernetes.io/component: backend
spec:
  type: ClusterIP
  selector:
    app: burn-service
  ports:
    - name: http
      port: 8004
      targetPort: 8004
      protocol: TCP
---
# ============================================================================
# WebSocket Service - ClusterIP (internal)
# ============================================================================
apiVersion: v1
kind: Service
metadata:
  name: websocket-service
  namespace: undateable
  labels:
    app.kubernetes.io/name: websocket-service
    app.kubernetes.io/component: backend
spec:
  type: ClusterIP
  selector:
    app: websocket-service
  ports:
    - name: http
      port: 8005
      targetPort: 8005
      protocol: TCP
---
# ============================================================================
# Frontend Service - ClusterIP (internal, exposed via Ingress)
# ============================================================================
apiVersion: v1
kind: Service
metadata:
  name: frontend-service
  namespace: undateable
  labels:
    app.kubernetes.io/name: frontend-service
    app.kubernetes.io/component: frontend
spec:
  type: ClusterIP
  selector:
    app: frontend-service
  ports:
    - name: http
      port: 80
      targetPort: 80
      protocol: TCP
---
# ============================================================================
# BurnYourEx Frontend - ClusterIP (internal, exposed via Ingress)
# ============================================================================
apiVersion: v1
kind: Service
metadata:
  name: burnyourex-frontend
  namespace: undateable
  labels:
    app.kubernetes.io/name: burnyourex-frontend
    app.kubernetes.io/component: frontend
spec:
  type: ClusterIP
  selector:
    app: burnyourex-frontend
  ports:
    - name: http
      port: 80
      targetPort: 80
      protocol: TCP
